Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::CheckAbortNull Class Reference

`#include <SegmentMerger.h>`

Inheritance diagram for Lucene::CheckAbortNull:

## Public Member Functions

| CheckAbortNull ()
virtual | ~CheckAbortNull ()
virtual String | getClassName ()
boost::shared_ptr< CheckAbortNull > | shared_from_this ()
virtual void | work (double units)
| do nothing
Public Member Functions inherited from Lucene::CheckAbort
| CheckAbort (const OneMergePtr &merge, const DirectoryPtr &dir)
virtual | ~CheckAbort ()
boost::shared_ptr< CheckAbort > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::CheckAbort
static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::CheckAbort
double | workCount
OneMergePtr | merge
DirectoryWeakPtr | _dir
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ CheckAbortNull()

Lucene::CheckAbortNull::CheckAbortNull | ( |  | ) |

## ◆ ~CheckAbortNull()

virtual Lucene::CheckAbortNull::~CheckAbortNull | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::CheckAbortNull::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::CheckAbortNull::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::CheckAbort.

## ◆ shared_from_this()

boost::shared_ptr< CheckAbortNull > Lucene::CheckAbortNull::shared_from_this | ( |  | ) |

inline

## ◆ work()

virtual void Lucene::CheckAbortNull::work | ( | double | units | ) |

virtual

do nothing

Reimplemented from Lucene::CheckAbort.

The documentation for this class was generated from the following file:

- SegmentMerger.h

clucene.sourceforge.net